# $Revision: 1.27 $, $Date: 2010/11/24 08:05:05 $
#
# Conditional build:
%bcond_with	arts	# without aRts support
%bcond_with	esd	# without EsounD support

Summary:	Text to speech system
Summary(pl.UTF-8):	Syntezator mowy
Name:		powiedz
Version:	1.0
Release:	6
License:	GPL
Group:		Applications/Sound
Source0:	http://www.rivendell.eu.org/%{name}-%{version}.tgz
# Source0-md5:	e41665cc88c096473d48ff2fd32c4646
Patch0:		%{name}-dsp-handle-fix.patch
Patch1:		%{name}-Makefile.patch
%{?with_arts:BuildRequires:	artsc-devel}
%{?with_esd:BuildRequires:	esound-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polish text to speech system based on rsynth.

%description -l pl.UTF-8
Polski syntezator mowy stworzony na podstawie rsynth.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
cp Makefile_plain Makefile
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} %{?with_arts:`artsc-config --cflags`}" \
	OPTDEFS="%{?with_arts:-DUSE_ARTS=1} %{?with_esd:-DUSE_ESD=1}" \
	OPTLIBS="%{?with_arts:`artsc-config --libs`} %{?with_esd:-lesd}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}/%{name}-%{version}}

install %{name} $RPM_BUILD_ROOT%{_bindir}
tail -n +3 <pars.def >$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/sayrc.example

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: powiedz.spec,v $
Revision 1.27  2010/11/24 08:05:05  arekm
- rel 6; switch off arts and esd bconds

Revision 1.26  2010/09/23 07:04:11  arekm
- release 5

Revision 1.25  2010/04/21 17:06:56  arekm
- release 4

Revision 1.24  2008/07/27 23:06:39  arekm
- release 3

Revision 1.23  2007-02-13 08:06:41  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.21  2006/08/15 18:39:28  darekr
- pass CC

Revision 1.20  2005/02/24 20:20:16  darekr
- typo

Revision 1.19  2004/08/18 16:13:28  undefine
- release 2

Revision 1.18  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.17  2003/12/09 15:14:03  qboosh
- s/arts-devel/artsc-devel/

Revision 1.16  2003/10/04 14:04:09  gotar
- unified bconds

Revision 1.15  2003/09/06 21:03:58  qboosh
- added arts and esound bconds (changes in spec and Makefile patch)

Revision 1.14  2003/08/31 12:51:12  grzegol
- use artsc-config instead of hardcored path

Revision 1.13  2003/08/31 12:42:36  grzegol
- updated to 1.0
- removed outdated rcfile and esd patches
- added Makefile patch

Revision 1.12  2003/08/06 09:58:25  blues
- cosmetics

Revision 1.11  2003/05/28 13:01:22  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/17 22:46:55  grzegol
- added esd patch (enables esd output - use -e switch)
- added BR: esound-devel
- rel. 3

Revision 1.8  2002/10/17 14:13:25  ankry
- new %%doc, moved example to %%{_examplesdir}, rel. 2

Revision 1.7  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/18 00:41:52  czarny
- fixes oss compatibile dsp handling

Revision 1.3  2001/06/28 14:20:49  kloczek
- cosmetics.

Revision 1.2  2001/06/27 16:15:11  qboosh
- added Source0 URL

Revision 1.1  2001/06/24 11:21:08  undefine
- initial RPM version. Nice speech synthetizer
